using System.Collections.Generic;
using GxPress.Result.Media;
using GxPress.Result.Teacher;

namespace GxPress.Result.Navigation
{
    /// <summary>
    /// 导航数据的显示
    /// </summary>
    public class NavigationLabelMediaResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value></value>
        public string LabelName { get; set; }
        /// <summary>
        /// 标签名称描述
        /// </summary>
        /// <value></value>

        public string LabelNameDescribe { get; set; }


        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>

        public string Remark { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }

        /// <summary>
        /// 是否跳转
        /// </summary>
        /// <value></value>

        public bool IsSkip { get; set; }

        /// <summary>
        /// 是否分页
        /// </summary>
        /// <value></value>

        public bool IsPage { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ActionUrl { get; set; }
        /// <summary>
        /// 资源类型
        /// </summary>
        /// <value></value>

        public int ResourceType { get; set; }

        /// <summary>
        /// 样式类型
        /// </summary>
        /// <value></value>

        public string StyleType { get; set; }
        /// <summary>
        /// 媒体
        /// </summary>
        /// <value></value>
        public List<NavigationMediaResult> MediaResults { get; set; }

        /// <summary>
        ///   特殊 130,示范课堂140,品牌专区1(150),品牌专区2(160)
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.SystemLabel.SpecialLabel> SpecialLabelResults { get; set; }
        /// <summary>
        /// 名师
        /// </summary>
        /// <value></value>
        public IEnumerable<TeacherResult> TeacherResults { get; set; }
        /// <summary>
        /// 是否特殊
        /// </summary>
        /// <value></value>
        public bool IsSpecial { get; set; }
        /// <summary>
        /// 是否显示标签名称
        /// </summary>
        /// <value></value>
        public bool IsShowLabelName { get; set; }
        /// <summary>
        /// 是否老师
        /// </summary>
        /// <value></value>
        public bool IsTeacher { get; set; }
    }
    /// <summary>
    /// 中间页面
    /// </summary>
    public class MiddleLableResult
    {
        /// <summary>
        /// 导航栏ID
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>
        /// <value></value>

        public string LabelId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>

        public bool IsDisable { get; set; }
        /// <summary>
        /// 是否开启搜索
        /// </summary>
        /// <value></value>

        public bool IsSearch { get; set; }
        /// <summary>
        /// 是否开启轮播
        /// </summary>
        /// <value></value>

        public bool IsSlide { get; set; }
        /// <summary>
        /// 1 APP 2 首页频道  3首页精选
        /// </summary>
        /// <value></value>

        public int TypeId { get; set; }
        /// <summary>
        /// 导航数据的显示
        /// </summary>
        /// <value></value>
        public List<NavigationLabelMediaResult> NavigationLabelMediaResults { get; set; }

        /// <summary>
        /// 获取轮播
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.Slide> Sildes { get; set; }
    }
    /// <summary>
    /// 导航数据的显示
    /// </summary>
    public class NavigationResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 导航名称
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>

        public bool IsDisable { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>

        public int ParentId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
        /// <summary>
        /// 中间件页面ID
        /// </summary>
        /// <value></value>

        public int MiddleLableId { get; set; }
        /// <summary>
        /// 是否可以操作
        /// </summary>
        /// <value></value>

        public bool Isoperate { get; set; }
        /// <summary>
        /// 终端 1 pc 2 移动端
        /// </summary>
        /// <value></value>

        public int Terminal { get; set; }
        /// <summary>
        /// 是否存在子集
        /// </summary>
        /// <value></value>
        public bool IsChildren { get; set; }
        /// <summary>
        /// 子集
        /// </summary>
        /// <value></value>
        public List<NavigationResult> Children { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        public string ActionUrl { get; set; }

    }
    /// <summary>
    /// 标签查询数据
    /// </summary>
    public class LabelMediaResult
    {
        /// <summary>
        /// 标签查询数据
        /// </summary>
        /// <value></value>
        public IEnumerable<NavigationMediaResult> LabelMediaResults { get; set; }
        /// <summary>
        /// 猜你喜欢
        /// </summary>
        /// <value></value>
        public IEnumerable<NavigationMediaResult> LikeMediaResults { get; set; }
        /// <summary>
        /// 推荐
        /// </summary>
        /// <value></value>
        public IEnumerable<NavigationMediaResult> RecommendMediaResults { get; set; }
    }
}