using System;
using GxPress.Result.App.Middle;

namespace GxPress.Result.Notice
{
    /// <summary>
    /// App通知列表显示
    /// </summary>
    public class NoticeListPageResult : Middle
    {
        /// <summary>
        /// 通知自增ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 通知标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }

        /// <summary>
        /// 收件人数量
        /// </summary>
        public int AllCount { get; set; }
        /// <summary>
        /// 是否阅读
        /// </summary>
        /// <value></value>
        public bool IsRead { get; set; }


        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadCount { get; set; }

        /// <summary>
        /// 未读阅读量
        /// </summary>
        public int UReadCount { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int NoticeAddresseeId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int NoticeId { get; set; }

        /// <summary>
        /// 文件数量
        /// </summary>
        public int FileCount { get; set; }

        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollection { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsLaud { get; set; }
        /// <summary>
        /// 是否转发
        /// </summary>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }
        /// <summary>
        /// 通知状态 0 删除 1 正常 2 草稿
        /// </summary>
        /// <value></value>
        public int NoticeStatus { get; set; }
        /// <summary>
        /// 关联通知Id
        /// </summary>
        /// <value></value>
        public int SourceId { get; set; }
    }
}
